#
# Conditional build:
%bcond_with	tests	# do perform tests (harmless fail with current python)
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	defusedxml
Summary:	XML bomb protection for Python stdlib modules
Name:		python-%{module}
Version:	0.4.1
Release:	9
License:	PSF
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/d/defusedxml/defusedxml-%{version}.tar.gz
# Source0-md5:	230a5eff64f878b392478e30376d673a
Patch0:		python-defusedxml-entity_loop.patch
Patch1:		python-defusedxml-format_strings.patch
URL:		https://pypi.python.org/pypi/defusedxml
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML bomb protection for Python stdlib modules.

%package -n python3-%{module}
Summary:	XML bomb protection for Python stdlib modules
Group:		Libraries/Python

%description -n python3-%{module}
XML bomb protection for Python stdlib modules.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.txt CHANGES.txt
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.txt CHANGES.txt
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-defusedxml.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8884e15
- python 3.6
- release 9 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 657ade8
- Release: 8

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e93e150
- release 7 (by relup.sh)

* Thu Nov 26 2015 Elan Ruusamäe <glen@delfi.ee> 9ad999e
- macros dep for %{py,py3}_{build,install} macros

* Thu Nov 26 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 0f49ccd
- Use py_build/py_install and setuptools

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 039e98b
- rel 5; FC fixes

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d25c8a1
- python 3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d730950
- python 3.5 rebuild
- release 3 (by relup.sh)

* Mon Oct 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ab7645c
- no hash in url

* Mon Oct 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fe30cf2
- release 2 (by relup.sh)

* Wed Sep 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 78a3024
- initial 0.4.1

